import { Context } from "../context.js";
/**
 * Probot's transform option, which extends the `event` object that is passed
 * to webhook event handlers by `@octokit/webhooks`
 * @see https://github.com/octokit/webhooks.js/#constructor
 */
export async function webhookTransform(state, event) {
    const log = state.log.child({ name: "event", id: event.id });
    const octokit = (await state.octokit.auth({
        type: "event-octokit",
        event,
    }));
    return new Context(event, octokit, log);
}
//# sourceMappingURL=octokit-webhooks-transform.js.map